Transition (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util.automaton, class: Transition

Package org.apache.lucene.util.automaton

# Class Transition

java.lang.Object
org.apache.lucene.util.automaton.Transition

All Implemented Interfaces:
  `Accountable`

public class Transition extends Object implements Accountable
Holds one transition from an `Automaton`. This is typically used temporarily when iterating through transitions by invoking `Automaton.initTransition(int, org.apache.lucene.util.automaton.Transition)` and `Automaton.getNextTransition(org.apache.lucene.util.automaton.Transition)`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `BYTES_USED`
  static estimation of bytes used
  `int`
  `dest`
  Destination state.
  `int`
  `max`
  Maximum accepted label (inclusive).
  `int`
  `min`
  Minimum accepted label (inclusive).
  `int`
  `source`
  Source state.

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transition()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `ramBytesUsed()`
  Returns an estimate of the JVM heap memory used by this object in bytes.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

- ## Field Details

  - ### BYTES_USED

    public static final long BYTES_USED
    static estimation of bytes used

  - ### source

    public int source
    Source state.

  - ### dest

    public int dest
    Destination state.

  - ### min

    public int min
    Minimum accepted label (inclusive).

  - ### max

    public int max
    Maximum accepted label (inclusive).

- ## Constructor Details

  - ### Transition

    public Transition()
    Sole constructor.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### ramBytesUsed

    public long ramBytesUsed()
    Description copied from interface: `Accountable`
    Returns an estimate of the JVM heap memory used by this object in bytes. The method name uses "ram" for historical reasons; only JVM heap memory should be reported. Off-heap resources such as memory-mapped files or native direct buffers should not be included. Negative values are illegal.
    Specified by:
      `ramBytesUsed` in interface `Accountable`